Package Details: macrodown-git 0.0.0-5

Git Clone URL: https://aur.archlinux.org/macrodown-git.git (read-only, click to copy)
Package Base: macrodown-git
Description: The translator for Macrodown, a markup language wrapping other markup languages such as TeX/LaTeX or HTML.
Upstream URL: https://github.com/gfngfn/Macrodown
Licenses: MIT
Conflicts: macrodown
Provides: macrodown
Submitter: yuhr
Maintainer: None
Last Packager: yuhr
Votes: 1
Popularity: 0.000000
First Submitted: 2016-10-21 19:19 (UTC)
Last Updated: 2017-06-29 13:26 (UTC)

Latest Comments

yuhr commented on 2017-06-13 21:06 (UTC)

@orumin: Updated, thx.

orumin commented on 2017-06-10 11:55 (UTC)

Building macrodown is failed now. I fixed PKGBUILD as a below: pkgname=macrodown-git pkgver=1.0g.r104.g295deca pkgrel=1 pkgdesc="The translator for Macrodown, a markup language wrapping other markup languages such as TeX/LaTeX or HTML." url="https://github.com/gfngfn/Macrodown" license=('MIT') arch=('i686' 'x86_64') conflicts=('macrodown') provides=('macrodown') makedepends=('git' 'ocamlbuild' 'ocaml-findlib' 'ocaml-menhir') depends=('make' 'ocaml') source=('git+https://github.com/gfngfn/Macrodown.git') md5sums=(SKIP) pkgver() { cd ${srcdir}/Macrodown git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g' | sed 's/^v//' } build() { cd ${srcdir}/Macrodown make } package() { cd ${srcdir}/Macrodown install -dm755 "${pkgdir}"/usr/bin install -m755 ./macrodown "${pkgdir}"/usr/bin/ install -d "${pkgdir}/usr/share/licenses/${pkgname}/" install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/" } thx.